/*************************************************************/
/* File        : global.h                                    */
/* Author      : Paul Lemmens (paul.lemmens@student.kun.nl)  */
/* Description : All globally accessable variables           */
/* License     : GNU GPL                                     */
/*************************************************************/

/*
wmseti is a Windowmaker dockapp that displays seti@home client statistics.
Copyright (C) 2000 Paul Lemmens

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
*/

#ifndef __global_h__
#define __global_h__

extern int Version;			/* Indicates version number display */
extern int DebugLevel;			/* Debuging level */
extern int Verbose;			/* Indicating verbose messages */
extern int Help;			/* Help need on cmdline */
extern int CmdlineDir;			/* Directory given on cmdline */
extern int Afterstep;			/* Change the graphics to afterstep */
extern char ErrMsg[1024];		/* For putting errormessages into */

#define FLASH_SPAN	100		/* Cycles before title and pid are switched */
#define DISPLAYPID_SPAN	900000L		/* Length to display the pid on mouseclick */

#endif /* __global_h__ */
