/*************************************************************/
/* File        : key-val.h                                   */
/* Author      : Paul Lemmens (paul.lemmens@student.kun.nl)  */
/*             : Dan Scott (dan.scott@acm.org)               */
/* Description : Defines the keyword-value struct            */
/* License     : GNU GPL                                     */
/*************************************************************/

/*
wmseti is a Windowmaker dockapp that displays seti@home client statistics.
Copyright (C) 2001 Paul Lemmens, Dan Scott

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
*/

#ifndef __key_val_h__
#define __key_val_h__

#define MAX_KEY_LEN 50
#define MAX_VAL_LEN 2048

/************************************************************************************/
/* keyval_t is a struct containing a string to put the keyword and value of a line 
 * like 'foo=bar' into. */
/************************************************************************************/
typedef struct
{
	char keyword[MAX_KEY_LEN];
	char value[MAX_VAL_LEN];
} keyval_t;

/* split_line() splits a line around the char param. */
keyval_t split_line(const char *, const char *);

/* Tries to determine if the first argument is a valid keyword. */
int is_keyword(const char *, const char *);

#endif /* __key_val_h__ */
