/*************************************************************/
/* File        : pixmap.h                                    */
/* Author      : Paul Lemmens (paul.lemmens@student.kun.nl)  */
/* Description : Implements default/afterstep differentiation*/
/* License     : GNU GPL                                     */
/*************************************************************/

/*
wmseti is a Windowmaker dockapp that displays seti@home client statistics.
Copyright (C) 2000 Paul Lemmens

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
*/

#ifndef __pixmap_h__
#define __pixmap_h__

#define MASTER_XO	5	/* Information for the master pixmap */
#define MASTER_YO	5
#define MASTER_LASTCHAR	51	/* Coordinate of last printable position */
#define MASTER_SIZE	64	
#define MASTER_BORDER	1
#define ASTEP_XO	0	/* These values are for the alternative */
#define ASTEP_YO	1	/* Afterstep pixmap. */
#define ASTEP_LASTCHAR	45	/* Coordinate of the last printable position */
#define ASTEP_SIZE	58
#define	ASTEP_BORDER	0
#define CHARWIDTH	6	/* pixels in width */
#define CHARHEIGHT	8	/* height in pixels */
#define LINEHEIGHT	11	/* lineheight in pixels */

/************************************************************************************
 * pixmap struct contains an array for the pixmap itself (called pixmap), the size
 * of that array and the borderwidth. xo and yo are the starting position coordinates
 * in the upperleft. lc is the x position (of any line) of the last printable char
 * on the right.
 ************************************************************************************/
typedef struct
{
	char **pixmap;
	int size, border;
	int xo, yo, lc;
} pixmap_t;

/* Prototype for a function which sets the values in the pixmap struct
 * according to the afterstep commandline option. */
int prep_pixmap(pixmap_t *);

#endif /* __pixmap_h__ */
